# Method: projects.locations.instances.engineConfigs.list

- [HTTP request](https://docs.cloud.google.com/financial-services/anti-money-laundering/docs/reference/rest/v1/projects.locations.instances.engineConfigs/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/financial-services/anti-money-laundering/docs/reference/rest/v1/projects.locations.instances.engineConfigs/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/financial-services/anti-money-laundering/docs/reference/rest/v1/projects.locations.instances.engineConfigs/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/financial-services/anti-money-laundering/docs/reference/rest/v1/projects.locations.instances.engineConfigs/list#body.request_body)
- [Response body](https://docs.cloud.google.com/financial-services/anti-money-laundering/docs/reference/rest/v1/projects.locations.instances.engineConfigs/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/financial-services/anti-money-laundering/docs/reference/rest/v1/projects.locations.instances.engineConfigs/list#body.ListEngineConfigsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/financial-services/anti-money-laundering/docs/reference/rest/v1/projects.locations.instances.engineConfigs/list#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/financial-services/anti-money-laundering/docs/reference/rest/v1/projects.locations.instances.engineConfigs/list#body.aspect_1)

Lists engine configs.

### HTTP request

`GET https://financialservices.googleapis.com/v1/{parent=projects/*/locations/*/instances/*}/engineConfigs`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent of the EngineConfig is the Instance. Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `parent`: - `financialservices.v1engineconfigs.list` |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` The number of resources to be included in the response. The response contains a nextPageToken, which can be used to retrieve the next page of resources. |
| `pageToken` | `string` In case of paginated results, this is the token that was returned in the previous ListEngineConfigsResponse. It should be copied here to retrieve the next page of resources. Empty will give the first page of ListEngineConfigsRequest, and the last page will return an empty pageToken. |
| `filter` | `string` Specify a filter to narrow search results. |
| `orderBy` | `string` Specify a field to use for ordering. |

### Request body

The request body must be empty.

### Response body

Response for retrieving a list of EngineConfigs

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "engineConfigs": [ { object (`https://docs.cloud.google.com/financial-services/anti-money-laundering/docs/reference/rest/v1/projects.locations.instances.engineConfigs#EngineConfig`) } ], "nextPageToken": string, "unreachable": [ string ] } ``` |

| Fields ||
|---|---|
| `engineConfigs[]` | ``object (`https://docs.cloud.google.com/financial-services/anti-money-laundering/docs/reference/rest/v1/projects.locations.instances.engineConfigs#EngineConfig`)`` List of EngineConfig resources |
| `nextPageToken` | `string` This token should be passed to the next ListEngineConfigsRequest to retrieve the next page of EngineConfigs (empty indicates we are done). |
| `unreachable[]` | `string` Locations that could not be reached. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `financialservices.v1engineconfigs.list`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).